Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.contact
Class DistributionListProperty

    java.lang.Object
      |
      +--com.compoze.contact.DistributionListProperty

All Implemented Interfaces:
  com.compoze.common.IProperty, java.io.Serializable

public class DistributionListProperty
extends java.lang.Object
implements com.compoze.common.IProperty, java.io.Serializable

This class stores the values for the `DistributionList` property tags. Unless you are working with property name, for example if you're working with sorting, you do not need to worry about these constants as their use is mostly abstracted away from the programmer.

The internationalizable string values are stored in the `contact_resources.properties` file (accessed through `ContactResources`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static DistributionListProperty` | `AUTHOR` This value represents the distribution list property 'author'.
`static DistributionListProperty` | `CONTACT_COUNT` This value represents the distribution list property 'contact count'.
`static DistributionListProperty` | `CUSTOM_NUM1` This value represents the distribution list property 'custom num 1'.
`static DistributionListProperty` | `CUSTOM_NUM2` This value represents the distribution list property 'custom num 2'.
`static DistributionListProperty` | `CUSTOM_NUM3` This value represents the distribution list property 'custom num 3'.
`static DistributionListProperty` | `CUSTOM_NUM4` This value represents the distribution list property 'custom num 4'.
`static DistributionListProperty` | `CUSTOM_STR1` This value represents the distribution list property 'custom str 1'.
`static DistributionListProperty` | `CUSTOM_STR2` This value represents the distribution list property 'custom str 2'.
`static DistributionListProperty` | `CUSTOM_STR3` This value represents the distribution list property 'custom str 3'.
`static DistributionListProperty` | `CUSTOM_STR4` This value represents the distribution list property 'custom str 4'.
`static DistributionListProperty` | `DATE_CREATED` This value represents the distribution list property 'date created'.
`static DistributionListProperty` | `DATE_LAST_MODIFIED` This value represents the distribution list property 'date last modified'.
`static DistributionListProperty` | `DESCRIPTION` This value represents the distribution list property 'description'.
`static DistributionListProperty` | `DISTRIBUTION_LIST_COUNT` This value represents the distribution list property 'distribution list count'.
`static DistributionListProperty` | `FLAG` This value represents the distribution list property 'flag'.
`static DistributionListProperty` | `NAME` This value represents the distribution list property 'name'.
`static java.util.List` | `s_properties` An array containing all of the fixed distribution list properties.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static DistributionListProperty` | `get(java.lang.String sName)` Gets the property by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of properties.
`java.lang.String` | `getName()` Gets the name of the property using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the property using the specified locale.
`java.lang.String` | `getStoreValue()` Gets the value that's used to store the property in the storage system.
`static void` | `main(java.lang.String[] args)` Exerciser.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### s_properties

    public static java.util.List s_properties

  An array containing all of the fixed distribution list properties.

### AUTHOR

    public static final DistributionListProperty AUTHOR

  This value represents the distribution list property 'author'.

### NAME

    public static final DistributionListProperty NAME

  This value represents the distribution list property 'name'.

### DESCRIPTION

    public static final DistributionListProperty DESCRIPTION

  This value represents the distribution list property 'description'.

### FLAG

    public static final DistributionListProperty FLAG

  This value represents the distribution list property 'flag'.

### CONTACT_COUNT

    public static final DistributionListProperty CONTACT_COUNT

  This value represents the distribution list property 'contact count'.

### DISTRIBUTION_LIST_COUNT

    public static final DistributionListProperty DISTRIBUTION_LIST_COUNT

  This value represents the distribution list property 'distribution list count'.

### DATE_CREATED

    public static final DistributionListProperty DATE_CREATED

  This value represents the distribution list property 'date created'.

### DATE_LAST_MODIFIED

    public static final DistributionListProperty DATE_LAST_MODIFIED

  This value represents the distribution list property 'date last modified'.

### CUSTOM_NUM1

    public static final DistributionListProperty CUSTOM_NUM1

  This value represents the distribution list property 'custom num 1'.

### CUSTOM_NUM2

    public static final DistributionListProperty CUSTOM_NUM2

  This value represents the distribution list property 'custom num 2'.

### CUSTOM_NUM3

    public static final DistributionListProperty CUSTOM_NUM3

  This value represents the distribution list property 'custom num 3'.

### CUSTOM_NUM4

    public static final DistributionListProperty CUSTOM_NUM4

  This value represents the distribution list property 'custom num 4'.

### CUSTOM_STR1

    public static final DistributionListProperty CUSTOM_STR1

  This value represents the distribution list property 'custom str 1'.

### CUSTOM_STR2

    public static final DistributionListProperty CUSTOM_STR2

  This value represents the distribution list property 'custom str 2'.

### CUSTOM_STR3

    public static final DistributionListProperty CUSTOM_STR3

  This value represents the distribution list property 'custom str 3'.

### CUSTOM_STR4

    public static final DistributionListProperty CUSTOM_STR4

  This value represents the distribution list property 'custom str 4'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the property using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the property using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public java.lang.String getStoreValue()

  Gets the value that's used to store the property in the storage system.
  Returns:
    the store value

### get

    public static DistributionListProperty get(java.lang.String sName)

  Gets the property by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching property or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of properties.
  Returns:
    the list of `DistributionListProperty`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

### main

    public static void main(java.lang.String[] args)

  Exerciser.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.